#!/bin/bash

# Copyright (c) 2005 Gentoo Foundation.
# $Id: path-manipulation.bash.in 183 2005-09-05 13:52:20Z kugelfang $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA

# basename wrapper
basename() {
    echo ${1##*/}
}

# dirname wrapper
dirname() {
    echo ${1%/*}
}

# vim: set sw=4 et sts=4 tw=80 :


